Search Unity

  1. Unity 2019.1 is now released.
    Dismiss Notice

Is migration possible from 2018.2.0x-ImprovedPrefabs to 2018.3.0b?

Discussion in 'Prefabs' started by adamzl, Sep 12, 2018.

  1. adamzl

    adamzl

    Joined:
    Feb 24, 2018
    Posts:
    19
    I was hoping I could migrate a project that used the improved prefabs in the standalone distribution of 2018.2 improved prefabs to a 2018.3 project but am getting an error message.

    Failed to add default packages to project:
    'projectVersion' parameter is invalid:
    '2018.2.0x-ImprovedPrefabs' is not a valid unity version
     
  2. oscar_gutierrez

    oscar_gutierrez

    Joined:
    Jul 12, 2017
    Posts:
    1
    I also had the same error and delete the ProjectSettings / ProjectVersion.txt file and I already opened the project
     
  3. adamzl

    adamzl

    Joined:
    Feb 24, 2018
    Posts:
    19
    Thanks sir, this fixed the issue.
     
  4. Andy-Touch

    Andy-Touch

    A Moon Shaped Bool Unity Technologies

    Joined:
    May 5, 2014
    Posts:
    1,004
    Yes, it is possible!

    One thing you can do currently is open the projectVersion.txt file and change 2018.2.0x-ImprovedPrefabs to 2018.3.0b1 and then open the project! It might cause a reimport and packages will likely need to be upgraded/updated.

    Edit: And obviously, in the future, change the end version number of 2018.3.x to whatever the latest beta/release is. :D
     
  5. Carpe-Denius

    Carpe-Denius

    Joined:
    May 17, 2013
    Posts:
    793
    *Might* cause a reimport? I thought that was mandatory, even between b1 and b2?